> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save a Plaid access token

> Save a Plaid access token for the API Partner's user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/banks/plaidAccessToken
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/banks/plaidAccessToken:
    post:
      tags:
        - Banks
      summary: Save a Plaid access token
      description: Save a Plaid access token for the API Partner's user
      operationId: postPlaidAccessToken
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/plaidAccessTokenPostData'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionRetValV2'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    plaidAccessTokenPostData:
      required:
        - plaidAccessToken
      type: object
      properties:
        plaidAccessToken:
          type: string
          description: Plaid access_token obtained from Partner app
        tranStartDate:
          type: string
          description: Earliest day for which to pull transactions
          format: date-time
      description: Parameters for the POST plaidAccessToken endpoint
      xml:
        name: PlaidAccessTokenParam
    ActionRetValV2:
      type: object
      properties:
        response:
          type: object
        status:
          type: string
          enum:
            - SUCCESS
            - FAILURE
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````